from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='chalk-editor',
    version='2.1.0',
    description="Line based text editor",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author='sloum',
    author_email='sloum@rawtext.club',
    url='https://tildegit.org/sloum/chalk',
    classifiers=[
	'License :: Other/Proprietary License',
	'Programming Language :: Python :: 3 :: Only',
        'Topic :: Text Editors',
	'Intended Audience :: End Users/Desktop',
	'Environment :: Console',
        'Operating System :: POSIX',
        'Development Status :: 5 - Production/Stable',
    ],
    py_modules = ['chalk'],
    entry_points={
	"console_scripts": ["chalk=chalk:main"]
    },
    python_requires='>=3',
    install_requires=[],
)
